View Issue Details

IDProjectCategoryView StatusLast Update
0031574LazarusDatabase Componentspublic2018-12-11 02:45
ReporterArtem Proskurnev Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSLinux 
Summary0031574: TDBLookupComboBox after selecting an item from the drop-down list, Enter key is also passed to the form
DescriptionIn TDBLookupComboBox
If you do not use the mouse, and press Alt+Down to select the desired item and press Enter, then is to not only selects an item from the list, and you click the default button on the form.
Steps To ReproduceConnect to MySQL/MariaDB database.
table.sql - create tables
published.tar.gz - example
1. On TDBLookupComboBox press Alt+Down.
2. Select an item using up and down arrows
3. Press Enter
4. The modal form closes
TagsNo tags attached.
Fixed in Revision54710
LazTarget-
WidgetsetQT, QT5
Attached Files

Relationships

related to 0025490 closedZeljan Rikalo QT: double-click wrongly triggered in OI when trying to expand ComboBox quickly 

Activities

Artem Proskurnev

2017-03-20 21:53

reporter  

published.tar.gz (4,572 bytes)

Artem Proskurnev

2017-03-20 21:53

reporter  

table.sql (1,705 bytes)

Artem Proskurnev

2017-03-20 21:56

reporter   ~0099095

Last edited: 2017-03-20 21:57

View 2 revisions

I chose the wrong set:
Widgetset GTK 2

This bug
Widgetset QT

GTK 2 - ok

Juha Manninen

2017-03-22 21:32

developer   ~0099156

Fixed the widgetset, improved summary line and marked as related to an issue that feels similar.

Zeljan Rikalo

2017-04-24 15:19

developer   ~0099861

Both Qt and Qt5 are fixed. Please test and close if ok.
Will be added to 1.8 fixes.

Artem Proskurnev

2018-12-11 02:45

reporter   ~0112486

Excellent! :-)

Issue History

Date Modified Username Field Change
2017-03-20 21:53 Artem Proskurnev New Issue
2017-03-20 21:53 Artem Proskurnev File Added: published.tar.gz
2017-03-20 21:53 Artem Proskurnev File Added: table.sql
2017-03-20 21:56 Artem Proskurnev Note Added: 0099095
2017-03-20 21:57 Artem Proskurnev Note Edited: 0099095 View Revisions
2017-03-22 21:26 Juha Manninen LazTarget => -
2017-03-22 21:26 Juha Manninen Widgetset GTK 2 => QT
2017-03-22 21:30 Juha Manninen Relationship added related to 0025490
2017-03-22 21:31 Juha Manninen Summary TDBLookupComboBox after selecting an item from the drop-down list, pressing Enter pressing leaves onto the form => TDBLookupComboBox after selecting an item from the drop-down list, Enter key is also passed to the form
2017-03-22 21:32 Juha Manninen Note Added: 0099156
2017-03-22 22:37 Zeljan Rikalo Assigned To => Zeljan Rikalo
2017-03-22 22:37 Zeljan Rikalo Status new => assigned
2017-04-24 15:19 Zeljan Rikalo Fixed in Revision => 54710
2017-04-24 15:19 Zeljan Rikalo Widgetset QT => QT, QT5
2017-04-24 15:19 Zeljan Rikalo Note Added: 0099861
2017-04-24 15:19 Zeljan Rikalo Status assigned => resolved
2017-04-24 15:19 Zeljan Rikalo Resolution open => fixed
2018-12-11 02:45 Artem Proskurnev Note Added: 0112486
2018-12-11 02:45 Artem Proskurnev Status resolved => closed